Subject: EBSA Working Now

From: Iain Grant <[email-masked]>
Date: Wed, 21 Apr 1999 17:11:59 +0100

Folks,

After copying over the floating Point emulator from armlinux.org and
changing the 
inittab file to point to a different modload, my illegal instruction errors
have gone.

Our EBSA is now 90% stable.

Thanks for the help.

Iain

> ----------
> From: 	Scott Bambrough[SMTP:[email-masked]]
> Sent: 	20 April 1999 7:18 
> To: 	Iain Grant
> Cc: 	[email-masked]
> Subject: 	Re: NFS Swap File !!!!
> 
> Iain Grant wrote:
> > 
> > Russell,
> > 
> > Thanks for the advice. We've stopped going down that route. And are now
> > ignoring swap files/devices altogether.
> > 
> > So, At the moment we have got to the following level.
> > 
> > 1. Successfully cross-compiled a linux 2.1.132 kernel for our EBSA
> > 2. Copied the netwinder kit
> > (ftp.netwinder.org/pub/ccc/images/dm-2.1-12.tar.gz ) onto a local drive
> of a
> > RedHat 5.2 Intel box
> > 3. NFS booted the EBSA to the extracted netwinder kit on that Intel box
> > 
> > The system can boot up to runlevel 3 ( removing some of the invalid
> startup
> > files )
> > 
> > The problem we are hitting at the moment is, we can telnet from the EBSA
> to
> > other systems on the net. However we cannot telnet to the EBSA from
> those
> > systems. After looking at the startups I have found that some programs (
> > including tftpd ) print "Illegal Instruction" and sometimes ( core dump)
> > when executed.
> 
> tftp, tftpd are probably broken.  There were bugs in glibc that prevented
> things
> from running.
> As well there are bugs in the implementation of socket calls and mmap in
> glibc
> from that disk image.  I suggest you look at the tools section on
> netwinder.org
> for more information.
> 
> One other thing to note, is the netwinder image was compiled specifically
> for
> arm arch 4.  It will use instructions specific to that architechure, that
> aren't
> supported on earlier architechures or Risc PC's.
> 
> > We did pull the RPM files from the arm-linux ftp site to try and replace
> the
> > bad files, but found that there is not an rpm program there to install
> them
> > with. ( You guessed it, the one from the netwinder image gives an
> illegal
> > instruction error ).
> > 
> > Another piece of information is that we pulled the files from the
> instimage
> > area of armlinux.org and replaced files in the /bin area of the
> netwinder
> > kit with them, this fixed a couple of programs ( bash and ls were two)
> > although replacing the ps program still put up the 'Illegal Instruction
> > message'.
> 
> The netwinder disk image is mostly an ELF system, while Russell's RPMS are
> a.out.  The disk image may not have all the proper libraries required for
> Russell's binaries.  I'm not sure how ELF and a.out dynamically linked
> executables will coexist.  I can forsee difficulties there.
> 
> > Have you, or anyone else got any more words of wisdom that could help us
> get
> > further.
> 
> Nope.  Do you have any more info on the invalid instructions.  They aren't
> floating point instructions are they?  If so you may need the FPE loaded,
> or use
> a kernel with the NWFPE built in.
> 
> Scott
> 
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]